LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XSidebarPanel Interface Reference

Optional interface of sidebar panels. More...

`import"XSidebarPanel.idl";`

## Public Member Functions
LayoutSize | getHeightForWidth ([in] long nWidth)
| For a given width of the container the layouter asks every ui element for its optimal height. More...
long | getMinimalWidth ()
| Minimal possible width of this panel in pixels. More...

## Detailed Description

Optional interface of sidebar panels.

## Member Function Documentation

## ◆ getHeightForWidth()

LayoutSize getHeightForWidth | ( | [in] long | nWidth | ) |

For a given width of the container the layouter asks every ui element for its optimal height.

The height to which a ui element is set may differ from the returned value.

The height is set via the XWindow interface.

## ◆ getMinimalWidth()

long getMinimalWidth | ( |  | ) |

Minimal possible width of this panel in pixels.

If this value is smaller than the maximum allowed size of the Sidebar (see config option 'org.openoffice.Office.UI.Sidebar.General.MaximumWidth'), the config option will be ignored and the new maximum Sidebar width will be getMinimalWidth() + 100px.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XSidebarPanel.idl